<?php
	include_once("../core/basededatos.php");
	include_once("../core/Usuario.php");
	include_once("../core/Paciente.php");
	include_once("../core/Semana.php");
	include_once("../core/Historia.php");
	include_once("../core/Cita.php");
	include_once("../core/Documento.php");
	include_once("../core/Constancia.php");
	require('fpdf.php');
	session_start();	
	header("Content-Type:application/xhtml+xml; charset=ISO-8859-1");

	$pdf=new FPDF();
	
	if ($_GET['Pac'] != "No") {
		$paciente = new Paciente();
		$paciente->id = $_GET['Pac'];
		$paciente->obtenerdatos();
	}	
	
	
	$pdf->AddPage();
	$pdf->SetAutoPageBreak(true);
	$pdf->SetFont('Arial','B',12);
	//Color Rojo
	//$pdf->SetTextColor(255,0,0);
	
	if ($_POST['Imprimir']) {
		$documento = new Documento();
		
		if($paciente->sexo == 'M') {
			$texto1 = "POR MEDIO DE EL PRESENTE SE HACE DE SU CONOCIMIENTO QUE EL PACIENTE ".$paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom." FUE SOMETIDO A ".$_POST['txt_sometido'].".";
		} else {
			$texto1 = "POR MEDIO DE EL PRESENTE SE HACE DE SU CONOCIMIENTO QUE LA PACIENTE ".$paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom." FUE SOMETIDA A ".$_POST['txt_sometido'].".";
		}
		
		$texto2 = "SE PROPONEN ".$_POST['txt_proponen'].".";
		$texto3 = "GRACIAS";
		$texto4 = "FECHA: ".$documento->fechaTexto();
		$textofinal = $texto1."<br>".$texto2."<br>".$texto3;
		
		$constancia = new Constancia();
		$constancia->texto1 = $texto1;
		$constancia->texto2 = $texto2;
		$constancia->texto3 = $texto3;
		$constancia->texto4 = $texto4;
		if (!$constancia->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Constancia.";
		}
		$constancia->id = mysql_insert_id();
		
		
		$documento->tipo = "constancia";
		$documento->texto = $textofinal;
		$documento->id_paciente = $paciente->id;
		$documento->fecha = date(Y."-".m."-".d);
		$documento->textoid = $constancia->id;
		if (!$documento->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Documento.";
		}
		
	} else {
		
		$documento = new Documento();
		$documento->id = $_GET['Doc'];
		$documento->obtenerdatos();
				
		$constancia = new Constancia();
		$constancia->id = $documento->textoid;
		$constancia->obtenerdatos();
		
		$texto1 = $constancia->texto1;
		$texto2 = $constancia->texto2;
		$texto3 = $constancia->texto3;
		$texto4 = $constancia->texto4;
	}
	
	$pacientenombrecompleto = "NOMBRE: ".$paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom;
	$pacientedatos = "EDAD: ".$paciente->obtenerEdad()." AŅOS - SEXO: ".$paciente->despliegasexo();
	
	
	$pdf->SetXY(0,0);
	$pdf->Cell(10,45,'',0,1);	
	$pdf->Cell(180,5,$pacientenombrecompleto,0,1,L);
	$pdf->Cell(180,5,$pacientedatos,0,1,L);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto1);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto2);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto3,0,1,R);
	$pdf->Cell(180,5,$texto4,0,1,R);
					
	$pdf->Output();
?>
